# -*- coding: utf-8 -*-
from item import *
from json_ import *

# --------- S--------------
vampire_fangs = Passive(
    name = JTxt('vampire_fangs.name','#e8e8a9', True, underlined = True),
    lore = Lore([
        JPar(['vampire_fangs.l0','vampire_fangs.l1',"vampire_fangs.l2"]),
        JPar(['vampire_fangs.effect.l0','vampire_fangs.effect.l1'], italic=True) ]),
    stats = Stats([ Stat('curse', 1) ]),
    model = '2101',
    rank = Rank.S,
    custom_on = True,
    give_tag = True,
    bought = True
    )
soul_bag = Passive(
    name = JTxt('soul_bag.name','red', True, underlined = True),
    lore = Lore([
        JPar(['soul_bag.l0','soul_bag.l1','soul_bag.l2']) ]),
    model = '2102',
    rank = Rank.S,
    stats = Stats([ Stat('curse', 2), Stat('souls_capacity', -4 ) ]),
    price = 20
    )
overlord_insignia = Passive(
    name = JTxt('overlord_insignia_i.name','#e20e86', True, underlined = True),
    lore = Lore([
        JPar(['overlord_insignia.l0','overlord_insignia.l1','overlord_insignia.l2']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True) 
        ]),
    model = '2103',
    rank = Rank.S,
    stats = Stats([ Stat('hp', 4), Stat('mana_capacity', 10) , Stat('luck', 10), Stat('curse', 1), Stat('souls_capacity', 1) ]),
    price = 15,
    other = 'overlord_insignia:1'
    )
mana_extractor = Passive(
    name = JTxt('mana_extractor.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['mana_extractor.l0','mana_extractor.l1',"mana_extractor.l2",'mana_extractor.l3']),
        JPar(['mana_extractor.effect.l0','mana_extractor.effect.l1'], italic=True) ]),
    model = '2104',
    rank = Rank.S,
    price = 15
    )
pandoras_pouch = Passive(
    name = JTxt("pandoras_pouch.name",'dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['pandoras_pouch.l0','pandoras_pouch.l1']),
        JPar(["pandoras_pouch.effect.l0"], italic=True) ]),
    model = '2105',
    rank = Rank.S,
    stats = Stats([ Stat('curse', 1.5) ]),
    price = 13
    )
pool_of_mana = Passive(
    name = JTxt('pool_of_mana.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['pool_of_mana.l0','pool_of_mana.l1']) ]),
    model = '2106',
    rank = Rank.S,
    stats = Stats([ Stat('mana_speed', 2) ]),
    price = 14
    )
boxing_gloves = Passive(
    name = JTxt('boxing_gloves.name','#ec390c', True, underlined = True),
    lore = Lore([
        JPar(['boxing_gloves.l0','boxing_gloves.l1', JTxt("boxing_gloves.l2", italic = True)]) ]),
    model = '2107',
    rank = Rank.S,
    stats = Stats([ Stat('dmg', 4), Stat('attack_speed', -0.5) ]),
    bought = True
    )
stick_of_power = Passive(
    name = JTxt('stick_of_power.name','#b56d38', True, underlined = True),
    lore = Lore([
        JPar(['stick_of_power.l0']) ]),
    model = '2108',
    rank = Rank.S,
    stats = Stats([
        Stat('hp', 2), Stat('dmg', 1), Stat('speed', 0.003), Stat('attack_speed', 0.25), Stat('armor', 1), Stat('armor_toughness', 1), Stat('knock_resist', .5),
        Stat('mana_capacity', 5), Stat('mana_speed', 1), Stat('mana_cost', -5), Stat('souls_capacity', -1), Stat('luck', 10), Stat('curse', 6)
        ]),
    price = 22
    )
boss_medallion_i = Passive(
    name = JTxt('boss_medallion_i.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['boss_medallion.l0']) ]),
    model = '2109',
    rank = Rank.S,
    stats = Stats([ Stat('hp', 4), Stat('speed', 0.005), Stat('mana_capacity', 10), Stat('luck', 5), Stat('curse', 0.5) ]),
    holder = False,
    bought = True
    )
boss_medallion_ii = Passive(
    name = JTxt('boss_medallion_ii.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['boss_medallion.l0']) ]),
    model = '2110',
    rank = Rank.S,
    stats = Stats([ Stat('hp', 2), Stat('mana_cost', -10), Stat('mana_capacity', 10), Stat('luck', 5), Stat('curse', 1) ]),
    holder = False,
    bought = True
    )
boss_medallion_iii = Passive(
    name = JTxt('boss_medallion_iii.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['boss_medallion.l0']) ]),
    model = '2111',
    rank = Rank.S,
    stats = Stats([ Stat('hp', -2), Stat('dmg', 1), Stat('armor', 1.5), Stat('armor_toughness', 1), Stat('mana_capacity', -10), Stat('curse', 1) ]),
    holder = False,
    bought = True
    )
boss_medallion_iv = Passive(
    name = JTxt('boss_medallion_iv.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['boss_medallion.l0']) ]),
    model = '2112',
    rank = Rank.S,
    stats = Stats([ Stat('hp', 2), Stat('dmg', -1), Stat('attack_speed', 0.3), Stat('mana_speed', 1), Stat('luck', 5), Stat('curse', 1) ]),
    holder = False,
    bought = True
    )

s = [boxing_gloves, mana_extractor, vampire_fangs, soul_bag, pool_of_mana, pandoras_pouch, overlord_insignia, stick_of_power, boss_medallion_i,boss_medallion_ii, boss_medallion_iii, boss_medallion_iv]

# -------- A ----------
devils_book = Passive(
    name = JTxt("devils_book.name",'dark_red', True, underlined = True),
    lore = Lore([
        JPar(['devils_book.l0',"devils_book.l1"]) ]),
    model = '2201',
    rank = Rank.A,
    stats = Stats([ Stat('curse', 1.5), Stat('mana_capacity', -10), Stat('mana_cost', -30) ]),
    price = 13
    )
mana_barrel = Passive(
    name = JTxt('mana_barrel.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['mana_barrel.l0','mana_barrel.l1','mana_barrel.l2','mana_barrel.l3']) ]),
    model = '2202',
    rank = Rank.A,
    stats = Stats([ Stat('mana_capacity', 80), Stat('speed', -0.01) ]),
    bought = True
    )
pure_rage = Passive(
    name = JTxt('pure_rage.name','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['pure_rage.l0','pure_rage.l1','pure_rage.l2','pure_rage.l3']),
        JPar(['pure_rage.effect.l0'], italic = True) ]),
    model = '2203',
    rank = Rank.A,
    stats = Stats([ Stat('curse', 0.75) ]),
    price = 12
    )
sharpening_stone = Passive(
    name = JTxt('sharpening_stone.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['sharpening_stone.l0','sharpening_stone.l1']) ]),
    model = '2204',
    rank = Rank.A,
    stats = Stats([ Stat('curse', 1), Stat('dmg', 2.5) ]),
    price = 11
    )
void_beast = Passive(
    name = JTxt('void_beast.name','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['void_beast.l0','void_beast.l1','void_beast.l2']),
        JPar(['void_beast.effect.l0','void_beast.effect.l1'], italic = True) ]),
    model = '2205',
    rank = Rank.A,
    stats = Stats([ Stat('curse', 0.5) ]),
    price = 10
    )
flying_daggers = Passive(
    name = JTxt('flying_daggers.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['flying_daggers.l0',"flying_daggers.l1"]),
        JPar(['flying_daggers.effect.l0','flying_daggers.effect.l1','flying_daggers.effect.l2'], italic = True) ]),
    model = '2206',
    rank = Rank.A,
    custom_on = True,
    custom_off = True,
    bought = True
    )
holy_book = Passive(
    name = JTxt("holy_book.name",'gold', True, underlined = True),
    lore = Lore([
        JPar(['holy_book.l0','holy_book.l1','holy_book.l2']),
        JPar(['holy_book.effect.l0'], italic = True) ]),
    model = '2207',
    rank = Rank.A,
    stats = Stats([ Stat('curse', 1) ]),
    give_tag = True,
    price = 12
    )
soul_splitter = Passive(
    name = JTxt("soul_splitter.name",'dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['soul_splitter.l0','soul_splitter.l1']),
        JPar(['soul_splitter.effect.l0'], italic = True) ]),
    model = '2208',
    rank = Rank.A,
    stats = Stats([ Stat('curse', 1.5), Stat('souls_capacity', 1) ]),
    price = 14
    )
spinning_ice_stone = Passive(
    name = JTxt('spinning_ice_stone.name','blue', True, underlined = True),
    lore = Lore([
        JPar(['spinning_ice_stone.l0','spinning_ice_stone.l1']),
        JPar(['spinning_ice_stone.effect.l0','spinning_ice_stone.effect.l1'], italic = True) ]),
    model = '2209',
    rank = Rank.A,
    custom_on = True,
    custom_off = True,
    price = 15
    )

a = [devils_book, mana_barrel, pure_rage, sharpening_stone, void_beast, flying_daggers, holy_book, soul_splitter, spinning_ice_stone]

# -------- B ----------
seven_leaf_clover = Passive(
    name = JTxt('seven_leaf_clover.name','dark_green', True, underlined = True),
    lore = Lore([
        JPar(["seven_leaf_clover.l0",'seven_leaf_clover.l1']) ]),
    model = '2301',
    rank = Rank.B,
    stats = Stats([ Stat('luck', 25), Stat('curse', -1) ]),
    price = 7
    )
mana_condenser = Passive(
    name = JTxt('mana_condenser.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['mana_condenser.l0','mana_condenser.l1']) ]),
    model = '2302',
    rank = Rank.B,
    stats = Stats([ Stat('mana_speed', 1) ]),
    price = 9
    )
armor_nanobots = Passive(
    name = JTxt('armor_nanobots.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['armor_nanobots.l0','armor_nanobots.l1','armor_nanobots.l2']),
        JPar(['armor_nanobots.effect.l0'], italic = True) ]),
    model = '2303',
    rank = Rank.B,
    price = 7
    )
zelenium_ore = Passive(
    name = JTxt('zelenium_ore.name','#db8a32', True, underlined = True),
    lore = Lore([
        JPar(['zelenium_ore.l0','zelenium_ore.l1',"zelenium_ore.l2",'zelenium_ore.l3']),
        JPar(['zelenium_ore.effect.l0','zelenium_ore.effect.l1'], italic = True) ]),
    model = '2304',
    rank = Rank.B,
    stats = Stats([ Stat('curse', 0.5), Stat('speed', -0.004)]),
    bought = True
    )
confidence_facade = Passive(
    name = JTxt('confidence_facade.name','#ddb780', True, underlined = True),
    lore = Lore([
        JPar(['confidence_facade.l0','confidence_facade.l1','confidence_facade.l2']),
        JPar(['confidence_facade.effect.l0','confidence_facade.effect.l1'], italic = True) ]),
    model = '2305',
    rank = Rank.B,
    stats = Stats([ Stat('curse', 0.5) ]),
    price = 8
    )
bloddy_bandana = Passive(
    name = JTxt('bloddy_bandana.name','#df370d', True, underlined = True),
    lore = Lore([
        JPar(['bloddy_bandana.l0','bloddy_bandana.l1','bloddy_bandana.l2']) ]),
    model = '2306',
    rank = Rank.B,
    stats = Stats([ Stat('curse', 1), Stat('dmg', 1), Stat('hp', 2)]),
    price = 9
    )
counterweight = Passive(
    name = JTxt('counterweight.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['counterweight.l0','counterweight.l1','counterweight.l2','counterweight.l3']) ]),
    model = '2307',
    rank = Rank.B,
    stats = Stats([ Stat('attack_speed', 0.5), Stat('speed', -0.002)]),
    price = 8
    )
ghost_bone = Passive(
    name = JTxt('ghost_bone.name','#dfd0a8', True, underlined = True),
    lore = Lore([
        JPar(['ghost_bone.l0']),
        JPar(['ghost_bone.effect.l0'], italic = True) ]),
    model = '2308',
    rank = Rank.B,
    stats = Stats([ Stat('curse', 1) ]),
    custom_on = True,
    custom_off = True,
    bought = True
    )
bubble_wrap = Passive(
    name = JTxt('bubble_wrap.name','#cfe6e4', True, underlined = True),
    lore = Lore([
        JPar(['bubble_wrap.l0','bubble_wrap.l1']),
        JPar(["bubble_wrap.effect.l0","bubble_wrap.effect.l1","bubble_wrap.effect.l2"], italic = True) ]),
    model = '2409',
    rank = Rank.B,
    custom_on = True,
    custom_off = True,
    bought = True
    )

b = [seven_leaf_clover, mana_condenser, armor_nanobots, zelenium_ore, confidence_facade, bloddy_bandana, counterweight, ghost_bone, bubble_wrap]

# -------- C ----------
holy_candle = Passive(
    name = JTxt('holy_candle.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['holy_candle.l0',"holy_candle.l1"]),
        JPar(['holy_candle.effect.l0','holy_candle.effect.l1'], italic = True) ]),
    stats = Stats([ Stat('curse', 1) ]),
    model = '2401',
    rank = Rank.C,
    price = 7
    )
basics_of_mana = Passive(
    name = JTxt('basics_of_mana.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['basics_of_mana.l0','basics_of_mana.l1']) ]),
    model = '2402',
    rank = Rank.C,
    stats = Stats([ Stat('mana_cost',  -12) ]),
    price = 6
    )
mana_extractor_prototype = Passive(
    name = JTxt('mana_extractor_prototype.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(["mana_extractor_prototype.l0",'mana_extractor_prototype.l1','mana_extractor_prototype.l2','mana_extractor_prototype.l3']),
        JPar(['mana_extractor_prototype.effect.l0','mana_extractor_prototype.effect.l1'], italic = True) ]),
    model = '2403',
    rank = Rank.C,
    price = 5
    )
blood_bag = Passive(
    name = JTxt('blood_bag.name','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['blood_bag.l0','blood_bag.l1']) ]),
    model = '2404',
    rank = Rank.C,
    stats = Stats([ Stat('hp', 4) ]),
    bought = True
    )
fittness_weights = Passive(
    name = JTxt('fittness_weights.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['fittness_weights.l0','fittness_weights.l1']) ]),
    model = '2405',
    rank = Rank.C,
    stats = Stats([ Stat('dmg', 1.5), Stat('speed', -0.004) ]),
    price = 6
    )
dragon_cape = Passive(
    name = JTxt('dragon_cape.name','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['dragon_cape.l0','dragon_cape.l1']),
        JPar(['dragon_cape.effect.l0'], italic = True) ]),
    model = '2406',
    rank = Rank.C,
    bought = True,
    )
cristal_generator = Passive(
    name = JTxt('cristal_generator.name','#D190DE', True, underlined = True),
    lore = Lore([
        JPar(["cristal_generator.l0","cristal_generator.l1","cristal_generator.l2"]),
        JPar(['cristal_generator.effect.l0'], italic = True) ]),
    stats = Stats([ Stat('souls_capacity', 1) ]),
    model = '2407',
    rank = Rank.C,
    price = 7
    )
spinning_magma_stone = Passive(
    name = JTxt('spinning_magma_stone.name','#e36310', True, underlined = True),
    lore = Lore([
        JPar(['spinning_magma_stone.l0','spinning_magma_stone.l1']),
        JPar(['spinning_magma_stone.effect.l0','spinning_magma_stone.effect.l1'], italic = True) ]),
    model = '2408',
    rank = Rank.C,
    custom_on = True,
    custom_off = True,
    price = 5
    )
spider_liver = Passive(
    name = JTxt('spider_liver.name','#c03d25', True, underlined = True),
    lore = Lore([
        JPar(['spider_liver.l0','spider_liver.l1']),
        JPar(["spider_liver.effect.l0"], italic = True) ]),
    model = '2411',
    rank = Rank.C,
    bought = True
    )
rat_boots = Passive(
    name = JTxt('rat_boots.name','gold', True, underlined = True),
    lore = Lore([
        JPar(["rat_boots.l0"]),
        JPar(['rat_boots.effect.l0','rat_boots.effect.l1'], italic = True) ]),
    model = '2309',
    rank = Rank.C,
    stats = Stats([Stat('speed', 0.005)]),
    custom_on = True,
    bought = True
    )

c = [holy_candle, basics_of_mana, mana_extractor_prototype, blood_bag, fittness_weights, dragon_cape, cristal_generator, spinning_magma_stone, spider_liver, rat_boots]

# -------- D ----------
turbo_boots = Passive(
    name = JTxt('turbo_boots.name','#b06e0b', True, underlined = True),
    lore = Lore([
        JPar(['turbo_boots.l0','turbo_boots.l1']),
        JPar(['turbo_boots.effect.l0','turbo_boots.effect.l1'], italic = True) ]),
    model = '2501',
    rank = Rank.D,
    bought = True
    )
sloth_curse = Passive(
    name = JTxt('sloth_curse.name','#7d4a7d', True, underlined = True),
    lore = Lore([
        JPar(['sloth_curse.l0','sloth_curse.l1']),
        JPar(['sloth_curse.effect.l0','sloth_curse.effect.l1'], italic = True) ]),
    stats = Stats([ Stat('curse', 0.5) ]),
    model = '2502',
    rank = Rank.D,
    price = 3
    )
horse_shoe = Passive(
    name = JTxt('horse_shoe.name','gray', True, underlined = True),
    lore = Lore([
        JPar(["horse_shoe.l0",'horse_shoe.l1','horse_shoe.l2']) ]),
    model = '2503',
    rank = Rank.D,
    stats = Stats([ Stat('luck', 15), Stat('curse', -0.5)  ]),
    bought = True
    )
mana_bottle = Passive(
    name = JTxt('mana_bottle.name','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['mana_bottle.l0']) ]),
    model = '2504',
    rank = Rank.D,
    stats = Stats([ Stat('mana_capacity', 25) ]),
    bought = True
    )
lunch_box = Passive(
    name = JTxt('lunch_box.name','#d12a21', True, underlined = True),
    lore = Lore([
        JPar(['lunch_box.l0','lunch_box.l1']) ]),
    model = '2505',
    rank = Rank.D,
    stats = Stats([ Stat('hp', 2) ]),
    price = 3
    )
the_art_of_the_sword = Passive(
    name = JTxt('the_art_of_the_sword.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['the_art_of_the_sword.l0','the_art_of_the_sword.l1']) ]),
    model = '2506',
    rank = Rank.D,
    stats = Stats([ Stat('dmg', 0.75) ]),
    bought = True
    )
shadow_clone = Passive(
    name = JTxt('shadow_clone.name','#7d4a7d', True, underlined = True),
    lore = Lore([
        JPar(['shadow_clone.l0','shadow_clone.l1']),
        JPar(['shadow_clone.effect.l0','shadow_clone.effect.l1'], italic = True) ]),
    model = '2507',
    rank = Rank.D,
    stats = Stats([ Stat('curse', 0.5) ]),
    bought = 4,
    custom_on = True,
    custom_off = True
    )
spinning_stone = Passive(
    name = JTxt('spinning_stone.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['spinning_stone.l0',"spinning_stone.l1",'spinning_stone.l2']),
        JPar(['spinning_stone.effect.l0','spinning_stone.effect.l1'], italic = True) ]),
    model = '2508',
    rank = Rank.D,
    custom_on = True,
    custom_off = True,
    bought = True
    )
endless_food_crate = Passive(
    name = JTxt('endless_food_crate.name','#3dd43d', True, underlined = True),
    lore = Lore([
        JPar(['endless_food_crate.l0','endless_food_crate.l1']),
        JPar(['endless_food_crate.effect.l0','endless_food_crate.effect.l1','endless_food_crate.effect.l2'], italic = True) ]),
    model = '2509',
    rank = Rank.D,
    stats = Stats([ Stat('curse', 0.75) ]),
    custom_on = True,
    give_tag = True,
    bought = True
    )

d = [turbo_boots, sloth_curse, horse_shoe, mana_bottle, lunch_box, the_art_of_the_sword, shadow_clone, spinning_stone, endless_food_crate]

# ---------------------
used_bubble_wrap = Passive(
    name = JTxt('used_bubble_wrap.name','#cfe6e4', True, underlined = True),
    lore = Lore([
        JPar(['bubble_wrap.l0','bubble_wrap.l1']),
        JPar(["bubble_wrap.effect.l0","bubble_wrap.effect.l1","bubble_wrap.effect.l2"], italic = True) ]),
    model = '2410',
    rank = bubble_wrap.rank,
    bought = True,
    holder = False,
    book = False
)
overlord_insignia_ii = Passive(
    name = JTxt('overlord_insignia_ii.name', '#e20e86', True, underlined = True),
    lore = Lore([
    JPar(['overlord_insignia.l0','overlord_insignia.l1','overlord_insignia.l2']),
        JPar([
            JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
            'enchant.alive.l1','enchant.alive.l2'
        ], 'dark_gray', italic=True) 
    ]),
    model = overlord_insignia.model,
    rank = overlord_insignia.rank,
    stats = Stats([ Stat('hp', 4), Stat('dmg', 2), Stat('mana_capacity', 20) , Stat('luck', 10), Stat('curse', 1.5), Stat('souls_capacity', 1) ]),
    holder = False,
    book = False,
    bought = True,
    other = 'overlord_insignia:1'
    )
overlord_insignia_iii = Passive(
    name = JTxt('overlord_insignia_iii.name', '#e20e86', True, underlined = True),
    lore = Lore([
        JPar(['overlord_insignia.l0','overlord_insignia.l1','overlord_insignia.l2']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True) 
        ]),
    model = overlord_insignia.model,
    rank = overlord_insignia.rank,
    stats = Stats([ Stat('hp', 4), Stat('dmg', 2), Stat('mana_capacity', 30), Stat('mana_cost', -10), Stat('luck', 10), Stat('curse', 1.5), Stat('souls_capacity', 2) ]),
    holder = False,
    book = False,
    bought = True,
    other = 'overlord_insignia:1'
    )
overlord_insignia_iv = Passive(
    name = JTxt('overlord_insignia_iv.name', '#e20e86', True, underlined = True),
    lore = Lore([
        JPar(['overlord_insignia.l0','overlord_insignia.l1','overlord_insignia.l2']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True) 
        ]),
    model = overlord_insignia.model,
    rank = overlord_insignia.rank,
    stats = Stats([ Stat('hp', 6), Stat('dmg', 4), Stat('mana_capacity', 30), Stat('mana_cost', -10), Stat('luck', 10), Stat('curse', 2), Stat('souls_capacity', 2) ]),
    holder = False,
    book = False,
    bought = True,
    other = 'overlord_insignia:1'
    )
overlord_insignia_v = Passive(
    name = JTxt('overlord_insignia_v.name', '#e20e86', True, underlined = True),
    lore = Lore([
        JPar(['overlord_insignia.l0','overlord_insignia.l1','overlord_insignia.l2']),
            JPar([
                JLine([ JTxt('enchant.alive.name', 'gray'), 'enchant.alive.l0'], 'dark_gray', italic=True),
                'enchant.alive.l1','enchant.alive.l2'
            ], 'dark_gray', italic=True) 
        ]),
    model = overlord_insignia.model,
    rank = overlord_insignia.rank,
    stats = Stats([ Stat('hp', 6), Stat('dmg', 4), Stat('mana_capacity', 30), Stat('mana_cost', -10), Stat('mana_speed', 1), Stat('luck', 20), Stat('curse', 2.5), Stat('souls_capacity', 2) ]),
    holder = False,
    book = False,
    bought = True,
    other = 'overlord_insignia:1'
    )


other = [used_bubble_wrap, overlord_insignia_ii, overlord_insignia_iii, overlord_insignia_iv, overlord_insignia_v]
po_len = len(other)

passives = s + a + b + c + d + other
